package demo.WithError;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class calendario extends Activity implements B4AActivity{
	public static calendario mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "demo.WithError", "demo.WithError.calendario");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (calendario).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "demo.WithError", "demo.WithError.calendario");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "demo.WithError.calendario", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (calendario) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (calendario) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return calendario.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (calendario) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (calendario) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public demo.WithError.customcalendar _cscal = null;
public anywheresoftware.b4a.objects.collections.List _listdays = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlcirculares = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbltitulo = null;
public anywheresoftware.b4a.objects.ScrollViewWrapper _tscrollview = null;
public anywheresoftware.b4a.objects.PanelWrapper _tmainpanel = null;
public anywheresoftware.b4a.objects.LabelWrapper _lbltexto = null;
public anywheresoftware.b4a.objects.StringUtils _strutil = null;
public b4a.example.dateutils _dateutils = null;
public demo.WithError.main _main = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
float _factor = 0f;
 //BA.debugLineNum = 21;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 24;BA.debugLine="DateTime.SetTimeZone(-5)";
anywheresoftware.b4a.keywords.Common.DateTime.SetTimeZone(-5);
 //BA.debugLineNum = 26;BA.debugLine="ListDays.Initialize";
mostCurrent._listdays.Initialize();
 //BA.debugLineNum = 27;BA.debugLine="ListDays.Add(\"06/01/2015\")";
mostCurrent._listdays.Add((Object)("06/01/2015"));
 //BA.debugLineNum = 28;BA.debugLine="ListDays.Add(\"06/02/2015\")";
mostCurrent._listdays.Add((Object)("06/02/2015"));
 //BA.debugLineNum = 29;BA.debugLine="ListDays.Add(\"06/03/2015\")";
mostCurrent._listdays.Add((Object)("06/03/2015"));
 //BA.debugLineNum = 30;BA.debugLine="ListDays.Add(\"06/18/2015\")";
mostCurrent._listdays.Add((Object)("06/18/2015"));
 //BA.debugLineNum = 32;BA.debugLine="Dim factor As Float";
_factor = 0f;
 //BA.debugLineNum = 33;BA.debugLine="factor = 0.50";
_factor = (float) (0.50);
 //BA.debugLineNum = 37;BA.debugLine="CsCal.Initialize(Me, \"CsCal\" ,100%x, 100%y * 0.51";
mostCurrent._cscal._initialize(mostCurrent.activityBA,calendario.getObject(),"CsCal",anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),(int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)*0.51),anywheresoftware.b4a.keywords.Common.DateTime.getNow(),mostCurrent._listdays);
 //BA.debugLineNum = 40;BA.debugLine="Activity.AddView(CsCal.AsView, 0, 0, 100%x, 100%y";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._cscal._asview().getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),(int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)*0.50));
 //BA.debugLineNum = 41;BA.debugLine="CsCal.ShowCalendar(True)";
mostCurrent._cscal._showcalendar(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 43;BA.debugLine="pnlCirculares.Initialize(\"\")";
mostCurrent._pnlcirculares.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 44;BA.debugLine="Activity.AddView(pnlCirculares, 0, 100%y * factor";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._pnlcirculares.getObject()),(int) (0),(int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)*_factor),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),(int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)-(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)*_factor)));
 //BA.debugLineNum = 45;BA.debugLine="pnlCirculares.LoadLayout(\"circular\")";
mostCurrent._pnlcirculares.LoadLayout("circular",mostCurrent.activityBA);
 //BA.debugLineNum = 46;BA.debugLine="pnlCirculares.Color = Colors.White";
mostCurrent._pnlcirculares.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 47;BA.debugLine="pnlCirculares.Visible = True";
mostCurrent._pnlcirculares.setVisible(anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 49;BA.debugLine="tMainPanel.Initialize(\"\")";
mostCurrent._tmainpanel.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 50;BA.debugLine="Activity.AddView(tMainPanel, 0, 100%y * factor, 1";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._tmainpanel.getObject()),(int) (0),(int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)*_factor),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),(int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)-(anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)*_factor)));
 //BA.debugLineNum = 52;BA.debugLine="tScrollView.Initialize(50)";
mostCurrent._tscrollview.Initialize(mostCurrent.activityBA,(int) (50));
 //BA.debugLineNum = 53;BA.debugLine="tMainPanel.AddView(tScrollView, 0, 0, 100%x, 100%";
mostCurrent._tmainpanel.AddView((android.view.View)(mostCurrent._tscrollview.getObject()),(int) (0),(int) (0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA));
 //BA.debugLineNum = 55;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 61;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 63;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 57;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 59;BA.debugLine="End Sub";
return "";
}
public static String  _cscal_click(long _dt) throws Exception{
int _maxitems = 0;
int _saltoy = 0;
String _dia = "";
String _mes = "";
String _anio = "";
String _sdia = "";
String _texto = "";
int _i = 0;
anywheresoftware.b4a.objects.LabelWrapper _tlabel = null;
anywheresoftware.b4a.objects.LabelWrapper _tbox = null;
String _txt = "";
float _h = 0f;
 //BA.debugLineNum = 65;BA.debugLine="Sub CsCal_Click(dt As Long)";
 //BA.debugLineNum = 66;BA.debugLine="Dim maxItems As Int = 10";
_maxitems = (int) (10);
 //BA.debugLineNum = 67;BA.debugLine="Dim saltoY As Int";
_saltoy = 0;
 //BA.debugLineNum = 68;BA.debugLine="saltoY = 0";
_saltoy = (int) (0);
 //BA.debugLineNum = 71;BA.debugLine="Dim dia = DateTime.GetDayOfMonth(dt)";
_dia = BA.NumberToString(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfMonth(_dt));
 //BA.debugLineNum = 72;BA.debugLine="Dim Mes = DateTime.GetMonth(dt)";
_mes = BA.NumberToString(anywheresoftware.b4a.keywords.Common.DateTime.GetMonth(_dt));
 //BA.debugLineNum = 73;BA.debugLine="Dim anio = DateTime.GetYear(dt)";
_anio = BA.NumberToString(anywheresoftware.b4a.keywords.Common.DateTime.GetYear(_dt));
 //BA.debugLineNum = 74;BA.debugLine="Dim sDia As String";
_sdia = "";
 //BA.debugLineNum = 76;BA.debugLine="If DateTime.GetDayOfWeek(dt) = 1 Then";
if (anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_dt)==1) { 
 //BA.debugLineNum = 77;BA.debugLine="sDia = \"Domingo \"";
_sdia = "Domingo ";
 }else if(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_dt)==2) { 
 //BA.debugLineNum = 79;BA.debugLine="sDia = \"Lunes \"";
_sdia = "Lunes ";
 }else if(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_dt)==3) { 
 //BA.debugLineNum = 81;BA.debugLine="sDia = \"Martes \"";
_sdia = "Martes ";
 }else if(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_dt)==4) { 
 //BA.debugLineNum = 83;BA.debugLine="sDia = \"Miércoles \"";
_sdia = "Miércoles ";
 }else if(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_dt)==5) { 
 //BA.debugLineNum = 85;BA.debugLine="sDia = \"Jueves \"";
_sdia = "Jueves ";
 }else if(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_dt)==6) { 
 //BA.debugLineNum = 87;BA.debugLine="sDia = \"Viernes \"";
_sdia = "Viernes ";
 }else if(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_dt)==7) { 
 //BA.debugLineNum = 89;BA.debugLine="sDia = \"Sábado \"";
_sdia = "Sábado ";
 };
 //BA.debugLineNum = 93;BA.debugLine="tScrollView.Panel.RemoveAllViews";
mostCurrent._tscrollview.getPanel().RemoveAllViews();
 //BA.debugLineNum = 95;BA.debugLine="Select Case Mes";
switch (BA.switchObjectToInt(_mes,BA.NumberToString(6))) {
case 0:
 //BA.debugLineNum = 97;BA.debugLine="Select Case dia";
switch (BA.switchObjectToInt(_dia,BA.NumberToString(1),BA.NumberToString(2),BA.NumberToString(3),BA.NumberToString(18))) {
case 0:
 //BA.debugLineNum = 99;BA.debugLine="SetData(1, sDia & \"1\", \"jasdlkf jasdlfj asdlf";
_setdata((int) (1),_sdia+"1","jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf");
 break;
case 1:
 //BA.debugLineNum = 101;BA.debugLine="SetData(1, sDia & \"2\", \"jasdlkf jasdlfj asdlf";
_setdata((int) (1),_sdia+"2","jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdfjasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf ...");
 break;
case 2:
 //BA.debugLineNum = 103;BA.debugLine="Dim texto As String";
_texto = "";
 //BA.debugLineNum = 104;BA.debugLine="texto = \"jasdlkf jasdlfj asdlfjasdlfasdfasdfa";
_texto = "jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf ";
 //BA.debugLineNum = 105;BA.debugLine="texto = texto & \"asd fa sfjasdf aslfjasdklf j";
_texto = _texto+"asd fa sfjasdf aslfjasdklf jasdlf jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf";
 //BA.debugLineNum = 106;BA.debugLine="texto = texto & \"gasfdj askfjasdklfjalsdfjals";
_texto = _texto+"gasfdj askfjasdklfjalsdfjalsdjf lkasdfjlasdjfsadlkfjasdlfjasdlfja smexico"+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF;
 //BA.debugLineNum = 108;BA.debugLine="texto = texto & \"asd fa sfjasdf aslfjasdklf j";
_texto = _texto+"asd fa sfjasdf aslfjasdklf jasdlf jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf";
 //BA.debugLineNum = 109;BA.debugLine="texto = texto & \"gasfdj askfjasdklfjalsdfjals";
_texto = _texto+"gasfdj askfjasdklfjalsdfjalsdjf lkasdfjlasdjfsadlkfjasdlfjasdlfja smexico";
 //BA.debugLineNum = 110;BA.debugLine="texto = texto & \"asd fa sfjasdf aslfjasdklf j";
_texto = _texto+"asd fa sfjasdf aslfjasdklf jasdlf jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf"+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF;
 //BA.debugLineNum = 111;BA.debugLine="texto = texto & \"asd fa sfjasdf aslfjasdklf j";
_texto = _texto+"asd fa sfjasdf aslfjasdklf jasdlf jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf";
 //BA.debugLineNum = 112;BA.debugLine="texto = texto & \"asd fa sfjasdf aslfjasdklf j";
_texto = _texto+"asd fa sfjasdf aslfjasdklf jasdlf jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf"+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (13)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)));
 //BA.debugLineNum = 113;BA.debugLine="texto = texto & \"demo demo demo\"";
_texto = _texto+"demo demo demo";
 //BA.debugLineNum = 115;BA.debugLine="SetData(1, sDia & \"3\", texto)";
_setdata((int) (1),_sdia+"3",_texto);
 break;
case 3:
 //BA.debugLineNum = 117;BA.debugLine="SetData(1, sDia & \"18\", \"jasdlkf jasdlfj asdl";
_setdata((int) (1),_sdia+"18","jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf");
 break;
}
;
 break;
}
;
 //BA.debugLineNum = 121;BA.debugLine="Return";
if (true) return "";
 //BA.debugLineNum = 123;BA.debugLine="tMainPanel = tScrollView.Panel";
mostCurrent._tmainpanel = mostCurrent._tscrollview.getPanel();
 //BA.debugLineNum = 124;BA.debugLine="For i = 0 To maxItems - 1";
{
final int step87 = 1;
final int limit87 = (int) (_maxitems-1);
for (_i = (int) (0); (step87 > 0 && _i <= limit87) || (step87 < 0 && _i >= limit87); _i = ((int)(0 + _i + step87))) {
 //BA.debugLineNum = 125;BA.debugLine="Dim tLabel As Label";
_tlabel = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 126;BA.debugLine="tLabel.Initialize(\"\")";
_tlabel.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 127;BA.debugLine="tLabel.Text = \"pelao\" & i";
_tlabel.setText((Object)("pelao"+BA.NumberToString(_i)));
 //BA.debugLineNum = 128;BA.debugLine="tLabel.TextColor = Colors.White";
_tlabel.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 129;BA.debugLine="tLabel.Color = Colors.Gray";
_tlabel.setColor(anywheresoftware.b4a.keywords.Common.Colors.Gray);
 //BA.debugLineNum = 130;BA.debugLine="tMainPanel.AddView(tLabel, 0, saltoY, 100%x, 40d";
mostCurrent._tmainpanel.AddView((android.view.View)(_tlabel.getObject()),(int) (0),_saltoy,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (40)));
 //BA.debugLineNum = 132;BA.debugLine="saltoY = saltoY + 40dip";
_saltoy = (int) (_saltoy+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (40)));
 //BA.debugLineNum = 134;BA.debugLine="Dim tBox As Label";
_tbox = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 135;BA.debugLine="tBox.Initialize(\"\")";
_tbox.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 136;BA.debugLine="tBox.Color = Colors.White";
_tbox.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 137;BA.debugLine="tBox.TextColor = Colors.Black";
_tbox.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 //BA.debugLineNum = 138;BA.debugLine="tBox.TextSize = 14 * Main.newFontProportion";
_tbox.setTextSize((float) (14*mostCurrent._main._newfontproportion));
 //BA.debugLineNum = 140;BA.debugLine="Dim txt As String";
_txt = "";
 //BA.debugLineNum = 141;BA.debugLine="txt = \"jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfas";
_txt = "jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdfo ";
 //BA.debugLineNum = 142;BA.debugLine="txt = txt & \"asd fa sfjasdf aslfjasdklf jasdlf j";
_txt = _txt+"asd fa sfjasdf aslfjasdklf jasdlf jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf";
 //BA.debugLineNum = 143;BA.debugLine="txt = txt & \"gasfdj askfjasdklfjalsdfjalsdjf lka";
_txt = _txt+"gasfdj askfjasdklfjalsdfjalsdjf lkasdfjlasdjfsadlkfjasdlfjasdlfja smexico"+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF;
 //BA.debugLineNum = 145;BA.debugLine="txt = txt & \"asd fa sfjasdf aslfjasdklf jasdlf j";
_txt = _txt+"asd fa sfjasdf aslfjasdklf jasdlf jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf";
 //BA.debugLineNum = 146;BA.debugLine="txt = txt & \"gasfdj askfjasdklfjalsdfjalsdjf lka";
_txt = _txt+"gasfdj askfjasdklfjalsdfjalsdjf lkasdfjlasdjfsadlkfjasdlfjasdlfja smexico";
 //BA.debugLineNum = 147;BA.debugLine="txt = txt & \"asd fa sfjasdf aslfjasdklf jasdlf j";
_txt = _txt+"asd fa sfjasdf aslfjasdklf jasdlf jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf"+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF;
 //BA.debugLineNum = 148;BA.debugLine="txt = txt & \"asd fa sfjasdf aslfjasdklf jasdlf j";
_txt = _txt+"asd fa sfjasdf aslfjasdklf jasdlf jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf";
 //BA.debugLineNum = 149;BA.debugLine="txt = txt & \"asd fa sfjasdf aslfjasdklf jasdlf j";
_txt = _txt+"asd fa sfjasdf aslfjasdklf jasdlf jasdlkf jasdlfj asdlfjasdlfasdfasdfasdfasdfasdf"+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (13)))+BA.ObjectToString(anywheresoftware.b4a.keywords.Common.Chr((int) (10)));
 //BA.debugLineNum = 150;BA.debugLine="txt = txt & \"hola\"";
_txt = _txt+"hola";
 //BA.debugLineNum = 151;BA.debugLine="tBox.Text = txt";
_tbox.setText((Object)(_txt));
 //BA.debugLineNum = 153;BA.debugLine="Dim h As Float";
_h = 0f;
 //BA.debugLineNum = 154;BA.debugLine="h = StrUtil.MeasureMultilineTextHeight(lblTexto,";
_h = (float) (mostCurrent._strutil.MeasureMultilineTextHeight((android.widget.TextView)(mostCurrent._lbltexto.getObject()),_txt)*mostCurrent._main._newfontproportion);
 //BA.debugLineNum = 155;BA.debugLine="tMainPanel.AddView(tBox, 0, saltoY + 0dip, tScro";
mostCurrent._tmainpanel.AddView((android.view.View)(_tbox.getObject()),(int) (0),(int) (_saltoy+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0))),mostCurrent._tscrollview.getWidth(),(int) (_h));
 //BA.debugLineNum = 156;BA.debugLine="tBox.Height = h";
_tbox.setHeight((int) (_h));
 //BA.debugLineNum = 158;BA.debugLine="saltoY = saltoY + h";
_saltoy = (int) (_saltoy+_h);
 }
};
 //BA.debugLineNum = 160;BA.debugLine="tMainPanel.Height = 100%y * 0.5 + saltoY";
mostCurrent._tmainpanel.setHeight((int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)*0.5+_saltoy));
 //BA.debugLineNum = 161;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 10;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 11;BA.debugLine="Dim CsCal As CustomCalendar";
mostCurrent._cscal = new demo.WithError.customcalendar();
 //BA.debugLineNum = 12;BA.debugLine="Dim ListDays As List";
mostCurrent._listdays = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 13;BA.debugLine="Private pnlCirculares As Panel";
mostCurrent._pnlcirculares = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 14;BA.debugLine="Private lblTitulo As Label";
mostCurrent._lbltitulo = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 15;BA.debugLine="Private tScrollView As ScrollView";
mostCurrent._tscrollview = new anywheresoftware.b4a.objects.ScrollViewWrapper();
 //BA.debugLineNum = 16;BA.debugLine="Private tMainPanel As Panel";
mostCurrent._tmainpanel = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 17;BA.debugLine="Private lblTexto As Label";
mostCurrent._lbltexto = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 18;BA.debugLine="Dim StrUtil As StringUtils";
mostCurrent._strutil = new anywheresoftware.b4a.objects.StringUtils();
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 8;BA.debugLine="End Sub";
return "";
}
public static String  _setdata(int _maxitems,String _diasemana,String _parrafo) throws Exception{
int _saltoy = 0;
int _i = 0;
anywheresoftware.b4a.objects.LabelWrapper _tlabel = null;
anywheresoftware.b4a.objects.LabelWrapper _tbox = null;
String _txt = "";
float _h = 0f;
 //BA.debugLineNum = 163;BA.debugLine="Sub SetData(maxItems As Int, diaSemana As String,";
 //BA.debugLineNum = 164;BA.debugLine="Dim saltoY As Int";
_saltoy = 0;
 //BA.debugLineNum = 165;BA.debugLine="saltoY = 0";
_saltoy = (int) (0);
 //BA.debugLineNum = 168;BA.debugLine="tMainPanel = tScrollView.Panel";
mostCurrent._tmainpanel = mostCurrent._tscrollview.getPanel();
 //BA.debugLineNum = 169;BA.debugLine="For i = 0 To maxItems - 1";
{
final int step123 = 1;
final int limit123 = (int) (_maxitems-1);
for (_i = (int) (0); (step123 > 0 && _i <= limit123) || (step123 < 0 && _i >= limit123); _i = ((int)(0 + _i + step123))) {
 //BA.debugLineNum = 170;BA.debugLine="Dim tLabel As Label";
_tlabel = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 171;BA.debugLine="tLabel.Initialize(\"\")";
_tlabel.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 172;BA.debugLine="tLabel.Text = diaSemana";
_tlabel.setText((Object)(_diasemana));
 //BA.debugLineNum = 173;BA.debugLine="tLabel.TextColor = Colors.White";
_tlabel.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 174;BA.debugLine="tLabel.Color = Colors.DarkGray";
_tlabel.setColor(anywheresoftware.b4a.keywords.Common.Colors.DarkGray);
 //BA.debugLineNum = 175;BA.debugLine="tLabel.Typeface = Typeface.DEFAULT_BOLD";
_tlabel.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 //BA.debugLineNum = 176;BA.debugLine="tLabel.Gravity = Gravity.CENTER_VERTICAL";
_tlabel.setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER_VERTICAL);
 //BA.debugLineNum = 177;BA.debugLine="tLabel.TextSize = 12 * Main.newFontProportion";
_tlabel.setTextSize((float) (12*mostCurrent._main._newfontproportion));
 //BA.debugLineNum = 178;BA.debugLine="tMainPanel.AddView(tLabel, 0, saltoY, 100%x, 40d";
mostCurrent._tmainpanel.AddView((android.view.View)(_tlabel.getObject()),(int) (0),_saltoy,anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (40)));
 //BA.debugLineNum = 180;BA.debugLine="saltoY = saltoY + 40dip";
_saltoy = (int) (_saltoy+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (40)));
 //BA.debugLineNum = 182;BA.debugLine="Dim tBox As Label";
_tbox = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 183;BA.debugLine="tBox.Initialize(\"\")";
_tbox.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 184;BA.debugLine="tBox.Color = Colors.White";
_tbox.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 185;BA.debugLine="tBox.TextColor = Colors.Black";
_tbox.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 //BA.debugLineNum = 186;BA.debugLine="tBox.TextSize = 12 * Main.newFontProportion";
_tbox.setTextSize((float) (12*mostCurrent._main._newfontproportion));
 //BA.debugLineNum = 188;BA.debugLine="Dim txt As String";
_txt = "";
 //BA.debugLineNum = 189;BA.debugLine="txt = parrafo & CRLF & CRLF";
_txt = _parrafo+anywheresoftware.b4a.keywords.Common.CRLF+anywheresoftware.b4a.keywords.Common.CRLF;
 //BA.debugLineNum = 190;BA.debugLine="tBox.Text = txt";
_tbox.setText((Object)(_txt));
 //BA.debugLineNum = 192;BA.debugLine="Dim h As Float";
_h = 0f;
 //BA.debugLineNum = 193;BA.debugLine="h = StrUtil.MeasureMultilineTextHeight(lblTexto,";
_h = (float) (mostCurrent._strutil.MeasureMultilineTextHeight((android.widget.TextView)(mostCurrent._lbltexto.getObject()),_txt)*mostCurrent._main._newfontproportion);
 //BA.debugLineNum = 194;BA.debugLine="tMainPanel.AddView(tBox, 0, saltoY + 0dip, tScro";
mostCurrent._tmainpanel.AddView((android.view.View)(_tbox.getObject()),(int) (0),(int) (_saltoy+anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (0))),mostCurrent._tscrollview.getWidth(),(int) (_h));
 //BA.debugLineNum = 195;BA.debugLine="tBox.Height = h";
_tbox.setHeight((int) (_h));
 //BA.debugLineNum = 197;BA.debugLine="saltoY = saltoY + h";
_saltoy = (int) (_saltoy+_h);
 }
};
 //BA.debugLineNum = 199;BA.debugLine="tMainPanel.Height = 100%y * 0.5 + saltoY";
mostCurrent._tmainpanel.setHeight((int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)*0.5+_saltoy));
 //BA.debugLineNum = 201;BA.debugLine="End Sub";
return "";
}
}
