package demo.WithError;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "demo.WithError", "demo.WithError.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "demo.WithError", "demo.WithError.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "demo.WithError.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static de.amberhome.locale.AHLocale _local = null;
public static String _paginaweb = "";
public static float _newfontproportion = 0f;
public static int _itemsize = 0;
public anywheresoftware.b4a.objects.HorizontalScrollViewWrapper _hsvmain = null;
public static int _totalimages = 0;
public demo.WithError.customlistview _cvmain = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblmastertitle = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlbackground = null;
public static int _textsize = 0;
public b4a.example.dateutils _dateutils = null;
public demo.WithError.calendario _calendario = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
vis = vis | (calendario.mostCurrent != null);
return vis;}
public static String  _activity_create(boolean _firsttime) throws Exception{
anywheresoftware.b4a.objects.drawable.CanvasWrapper _canvas1 = null;
int _fontsize = 0;
int _dispw = 0;
float _chrwidth = 0f;
float _chrcount = 0f;
 //BA.debugLineNum = 36;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 38;BA.debugLine="textSize = 20";
_textsize = (int) (20);
 //BA.debugLineNum = 40;BA.debugLine="Activity.LoadLayout(\"main\")";
mostCurrent._activity.LoadLayout("main",mostCurrent.activityBA);
 //BA.debugLineNum = 42;BA.debugLine="pnlbackGround.Initialize(\"\")";
mostCurrent._pnlbackground.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 43;BA.debugLine="pnlbackGround.Color = Colors.white";
mostCurrent._pnlbackground.setColor(anywheresoftware.b4a.keywords.Common.Colors.White);
 //BA.debugLineNum = 44;BA.debugLine="Activity.addview(pnlbackGround, 0, 100%y * 0.4, 1";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._pnlbackground.getObject()),(int) (0),(int) (anywheresoftware.b4a.keywords.Common.PerYToCurrent((float) (100),mostCurrent.activityBA)*0.4),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float) (100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (50)));
 //BA.debugLineNum = 46;BA.debugLine="Dim Canvas1 As Canvas";
_canvas1 = new anywheresoftware.b4a.objects.drawable.CanvasWrapper();
 //BA.debugLineNum = 47;BA.debugLine="Dim FontSize As Int";
_fontsize = 0;
 //BA.debugLineNum = 48;BA.debugLine="Dim DispW As Int";
_dispw = 0;
 //BA.debugLineNum = 49;BA.debugLine="Dim ChrWidth, ChrCount As Float";
_chrwidth = 0f;
_chrcount = 0f;
 //BA.debugLineNum = 51;BA.debugLine="FontSize = 26";
_fontsize = (int) (26);
 //BA.debugLineNum = 52;BA.debugLine="DispW = Activity.Width";
_dispw = mostCurrent._activity.getWidth();
 //BA.debugLineNum = 53;BA.debugLine="Canvas1.Initialize(Activity)";
_canvas1.Initialize((android.view.View)(mostCurrent._activity.getObject()));
 //BA.debugLineNum = 55;BA.debugLine="ChrWidth = Canvas1.MeasureStringWidth(\"9\", Typefa";
_chrwidth = _canvas1.MeasureStringWidth("9",anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT,(float) (_fontsize));
 //BA.debugLineNum = 56;BA.debugLine="ChrCount = DispW / ChrWidth";
_chrcount = (float) (_dispw/(double)_chrwidth);
 //BA.debugLineNum = 58;BA.debugLine="If ChrCount > 15 Then";
if (_chrcount>15) { 
 //BA.debugLineNum = 59;BA.debugLine="Do While ChrCount > 15";
while (_chrcount>15) {
 //BA.debugLineNum = 60;BA.debugLine="FontSize = FontSize + 1";
_fontsize = (int) (_fontsize+1);
 //BA.debugLineNum = 61;BA.debugLine="ChrWidth = Canvas1.MeasureStringWidth(\"9\", Type";
_chrwidth = _canvas1.MeasureStringWidth("9",anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT,(float) (_fontsize));
 //BA.debugLineNum = 62;BA.debugLine="ChrCount = DispW / ChrWidth";
_chrcount = (float) (_dispw/(double)_chrwidth);
 }
;
 //BA.debugLineNum = 64;BA.debugLine="FontSize = FontSize - 1";
_fontsize = (int) (_fontsize-1);
 }else {
 //BA.debugLineNum = 66;BA.debugLine="Do While ChrCount < 15";
while (_chrcount<15) {
 //BA.debugLineNum = 67;BA.debugLine="FontSize = FontSize - 1";
_fontsize = (int) (_fontsize-1);
 //BA.debugLineNum = 68;BA.debugLine="ChrWidth = Canvas1.MeasureStringWidth(\"9\", Type";
_chrwidth = _canvas1.MeasureStringWidth("9",anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT,(float) (_fontsize));
 //BA.debugLineNum = 69;BA.debugLine="ChrCount = DispW / ChrWidth";
_chrcount = (float) (_dispw/(double)_chrwidth);
 }
;
 };
 //BA.debugLineNum = 73;BA.debugLine="newFontProportion = FontSize / 26";
_newfontproportion = (float) (_fontsize/(double)26);
 //BA.debugLineNum = 76;BA.debugLine="cvMain.AddTextItem(\"SHOW CALENDAR\", \"1\")";
mostCurrent._cvmain._addtextitem("SHOW CALENDAR",(Object)("1"));
 //BA.debugLineNum = 78;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _keycode) throws Exception{
int _result = 0;
 //BA.debugLineNum = 102;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
 //BA.debugLineNum = 103;BA.debugLine="Dim result As Int";
_result = 0;
 //BA.debugLineNum = 104;BA.debugLine="result = Msgbox2 (\"Want to exit?\",\"Exit\",\"Yes\",";
_result = anywheresoftware.b4a.keywords.Common.Msgbox2("Want to exit?","Exit","Yes","","No",(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null),mostCurrent.activityBA);
 //BA.debugLineNum = 105;BA.debugLine="If result=DialogResponse.POSITIVE Then";
if (_result==anywheresoftware.b4a.keywords.Common.DialogResponse.POSITIVE) { 
 //BA.debugLineNum = 106;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 }else {
 //BA.debugLineNum = 108;BA.debugLine="Return True";
if (true) return anywheresoftware.b4a.keywords.Common.True;
 };
 //BA.debugLineNum = 110;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 84;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 86;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 80;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 82;BA.debugLine="End Sub";
return "";
}
public static String  _cvmain_itemclick(int _index,Object _value) throws Exception{
 //BA.debugLineNum = 94;BA.debugLine="Sub cvMain_ItemClick (Index As Int, Value As Objec";
 //BA.debugLineNum = 95;BA.debugLine="Activity.Title = Value";
mostCurrent._activity.setTitle(_value);
 //BA.debugLineNum = 96;BA.debugLine="Select Case Value";
switch (BA.switchObjectToInt(_value,(Object)("1"))) {
case 0:
 //BA.debugLineNum = 98;BA.debugLine="StartActivity(Calendario)";
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._calendario.getObject()));
 break;
}
;
 //BA.debugLineNum = 100;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        b4a.example.dateutils._process_globals();
main._process_globals();
calendario._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 26;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 27;BA.debugLine="Private itemSize As Int";
_itemsize = 0;
 //BA.debugLineNum = 28;BA.debugLine="Private hsvMain As HorizontalScrollView";
mostCurrent._hsvmain = new anywheresoftware.b4a.objects.HorizontalScrollViewWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Private totalImages  As Int";
_totalimages = 0;
 //BA.debugLineNum = 30;BA.debugLine="Private cvMain As CustomListView";
mostCurrent._cvmain = new demo.WithError.customlistview();
 //BA.debugLineNum = 31;BA.debugLine="Private lblMasterTitle As Label";
mostCurrent._lblmastertitle = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Private pnlbackGround As Panel";
mostCurrent._pnlbackground = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Private textSize As Int";
_textsize = 0;
 //BA.debugLineNum = 34;BA.debugLine="End Sub";
return "";
}
public static String  _hsvmain_scrollchanged(int _position) throws Exception{
 //BA.debugLineNum = 88;BA.debugLine="Sub hsvMain_ScrollChanged(Position As Int)";
 //BA.debugLineNum = 89;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 15;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 19;BA.debugLine="Dim Local As AHLocale";
_local = new de.amberhome.locale.AHLocale();
 //BA.debugLineNum = 21;BA.debugLine="Dim PaginaWeb As String";
_paginaweb = "";
 //BA.debugLineNum = 22;BA.debugLine="Dim newFontProportion As Float";
_newfontproportion = 0f;
 //BA.debugLineNum = 24;BA.debugLine="End Sub";
return "";
}
public static String  _scrolltimer_tick() throws Exception{
 //BA.debugLineNum = 91;BA.debugLine="Sub ScrollTimer_Tick";
 //BA.debugLineNum = 92;BA.debugLine="End Sub";
return "";
}
}
